%{?mingw_package_header}

%global pkgname shapelib

Name:          mingw-%{pkgname}
Version:       1.3.0
Release:       6%{?dist}
Summary:       MinGW Windows %{pkgname} library

# The core library is dual-licensed LGPLv2 or MIT.
# Some contributed files have different licenses:
# - contrib/csv2shp.c: GPLv2+
# - contrib/dbfinfo.c: Public domain
# - contrib/dbfcat.c:  Public domain
License:       (LGPLv2+ or MIT) and GPLv2+ and Public Domain
URL:           http://shapelib.maptools.org/
Source0:       http://download.osgeo.org/shapelib/%{pkgname}-%{version}.tar.gz
BuildArch:     noarch
# This patch replaces the handmade makefiles with autotools scripts. This patch was generated by
# git clone https://github.com/manisandro/shapelib.git
# cd shapelib
# git checkout autotools
# git diff master..autotools > shapelib_autotools.patch
#
# Upstream is notified about these modifications: http://bugzilla.maptools.org/show_bug.cgi?id=2447
Patch0:        shapelib_autotools.patch
# Backports from the gdal bundled shapelib
Patch1:        shapelib_backports.patch

BuildRequires: autoconf automake libtool

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw32-binutils
BuildRequires: mingw32-proj

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc-c++
BuildRequires: mingw64-binutils
BuildRequires: mingw64-proj

%description
%{summary}.


%package -n mingw32-%{pkgname}
Summary:        MinGW Windows %{pkgname} library

%description -n mingw32-%{pkgname}
%{summary}.


%package -n mingw32-%{pkgname}-static
Summary:       Static version of the  MinGW Windows %{pkgname} library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-static
%{summary}.


%package -n mingw32-%{pkgname}-tools
Summary:       Tools for the  MinGW Windows %{pkgname} library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-tools
%{summary}.


%package -n mingw64-%{pkgname}
Summary:        MinGW Windows %{pkgname} library

%description -n mingw64-%{pkgname}
%{summary}.


%package -n mingw64-%{pkgname}-static
Summary:       Static version of the  MinGW Windows %{pkgname} library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-static
%{summary}.


%package -n mingw64-%{pkgname}-tools
Summary:       Tools for the  MinGW Windows %{pkgname} library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-tools
%{summary}.


%{?mingw_debug_package}


%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1
%patch1 -p1


%build
NOCONFIGURE=1 sh ./autogen.sh
%{mingw_configure}
%{mingw_make}


%install
%{mingw_make} install DESTDIR=%{buildroot}

# Remove static libraries
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files -n mingw32-%{pkgname}
%license COPYING
%{mingw32_bindir}/libshp-1.dll
%{mingw32_includedir}/shapefil.h
%{mingw32_libdir}/libshp.dll.a
%{mingw32_libdir}/pkgconfig/shapelib.pc

%files -n mingw32-%{pkgname}-static
%{mingw32_libdir}/libshp.a

%files -n mingw32-%{pkgname}-tools
%{mingw32_bindir}/*.exe

%files -n mingw64-%{pkgname}
%license COPYING
%{mingw64_bindir}/libshp-1.dll
%{mingw64_includedir}/shapefil.h
%{mingw64_libdir}/libshp.dll.a
%{mingw64_libdir}/pkgconfig/shapelib.pc

%files -n mingw64-%{pkgname}-static
%{mingw64_libdir}/libshp.a

%files -n mingw64-%{pkgname}-tools
%{mingw64_bindir}/*.exe

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 11 2015 Sandro Mani <manisandro@gmail.com> - 1.3.0-5
- Rebuild (proj)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 06 2014 Sandro Mani <manisandro@gmail.com> - 1.3.0-3
- Backport some fixes from the gdal bundled shapelib

* Thu Aug 08 2013 Sandro Mani <manisandro@gmail.com> - 1.3.0-2
- Add missing licenses

* Fri Jul 12 2013 Sandro Mani <manisandro@gmail.com> - 1.3.0-1
- Initial Fedora package
